-----------------------------------------------------------------------
-- $Header: D:\usr\cvsroot/VHDL/lib/JBUS/src/busmaster_types.vhd,v 1.2 2013/05/27 11:17:51 jens Exp $
-----------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;
use IEEE.MATH_REAL.ALL;

package busmaster_types is
	
	-- Constants
	
	-- Types
	
	type bm_cmd_t is
	record
		addr			: unsigned(31 downto 0);
		sel				: unsigned(3 downto 0);
		rw				: std_logic;
	end record;

end busmaster_types;


package body busmaster_types is


end busmaster_types;


